be.fgov.ehealth.dics.protocol.v5

## Class DicsResponseType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.dics.protocol.v5.DicsResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    FindAmppResponse, FindAmpResponse, FindChapterIVParagraphResponse, FindCommentedClassificationResponse, FindCompanyResponse, FindCompoundingFormulaResponse, FindCompoundingIngredientResponse, FindLegislationTextResponse, FindListOfAmpResponse, FindNonMedicinalProductResponse, FindReferencesResponse, FindReimbursementResponse, FindVmpGroupResponse, FindVmpResponse, FindVtmResponse

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:51+01:00",
                 comments="JAXB RI v2.2.11")
      public class DicsResponseType
      extends ResponseType
      implements Serializable

  Common type for all DICS responses. Adds a Search Date and SAM Id to the eHealth Commons Status Response Type

  Java class for DicsResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DicsResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
             <attribute name="SearchDate" type="{http://www.w3.org/2001/XMLSchema}date" />
             <attribute name="SamId" type="{http://www.w3.org/2001/XMLSchema}anySimpleType" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DicsResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSamId()` Gets the value of the samId property.
    `org.joda.time.DateTime` | `getSearchDate()` Gets the value of the searchDate property.
    `void` | `setSamId(String value)` Sets the value of the samId property.
    `void` | `setSearchDate(org.joda.time.DateTime value)` Sets the value of the searchDate property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DicsResponseType

          public DicsResponseType()

  - ### Method Detail

    - #### getSearchDate

          public org.joda.time.DateTime getSearchDate()

      Gets the value of the searchDate property.
      Returns:
        possible object is `String`

    - #### setSearchDate

          public void setSearchDate(org.joda.time.DateTime value)

      Sets the value of the searchDate property.
      Parameters:
        `value` - allowed object is `String`

    - #### getSamId

          public String getSamId()

      Gets the value of the samId property.
      Returns:
        possible object is `String`

    - #### setSamId

          public void setSamId(String value)

      Sets the value of the samId property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.